IntlCalendar::getGreatestMinimum
IntlCalendar::getLeastMaximum
IntlCalendar
PHP Manual

# IntlCalendar::getKeywordValuesForLocale

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getKeywordValuesForLocale — Get set of locale keyword values

### Description

public static Iterator IntlCalendar::getKeywordValuesForLocale ( string `$key` , string `$locale` , boolean `$commonlyUsed` )

For a given locale key, get the set of values for that key that would result in a different behavior. For now, only the 'calendar' keyword is supported.

### Parameters

`key`

  The locale keyword for which relevant values are to be queried. Only 'calendar' is supported.

`locale`

  The locale onto which the keyword/value pair are to be appended.

`commonlyUsed`

  Whether to show only the values commonly used for the specified locale.

### Return Values

An iterator that yields strings with the locale keyword values or `FALSE` on failure.

### Examples

Example #1 IntlCalendar::getKeyworkValuesForLocale()

`<?php
print_r(
iterator_to_array(
IntlCalendar::getKeywordValuesForLocale(
'calendar', 'fa_IR', true)));
print_r(
iterator_to_array(
IntlCalendar::getKeywordValuesForLocale(
'calendar', 'fa_IR', false)));`

The above example will output:

    Array
    (
        [0] => persian
        [1] => gregorian
        [2] => islamic
        [3] => islamic-civil
    )
    Array
    (
        [0] => persian
        [1] => gregorian
        [2] => islamic
        [3] => islamic-civil
        [4] => japanese
        [5] => buddhist
        [6] => roc
        [7] => hebrew
        [8] => chinese
        [9] => indian
        [10] => coptic
        [11] => ethiopic
        [12] => ethiopic-amete-alem
    )

IntlCalendar::getGreatestMinimum
IntlCalendar::getLeastMaximum
IntlCalendar
PHP Manual